[PATCH] osmo-ci[master]: osmocom-nightly/latest: check if osc is installed

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

lynxis lazus gerrit-no-reply at lists.osmocom.org
Tue Dec 5 11:05:22 UTC 2017


Review at  https://gerrit.osmocom.org/5179

osmocom-nightly/latest: check if osc is installed

Change-Id: I10ce91eab415c19bb811fbb2fd617d5ce2b58d41
---
M scripts/osmocom-latest-packages.sh
M scripts/osmocom-nightly-packages.sh
2 files changed, 10 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/79/5179/1

diff --git a/scripts/osmocom-latest-packages.sh b/scripts/osmocom-latest-packages.sh
index 6933baa..d0f64e0 100755
--- a/scripts/osmocom-latest-packages.sh
+++ b/scripts/osmocom-latest-packages.sh
@@ -8,6 +8,11 @@
 DT=$(date +%Y%m%d)
 TOP=$(pwd)
 
+if ! which osc >/dev/null 2>/dev/null ; then
+  echo "osc binary is not installed"
+  exit 1
+fi
+
 # start with a checkout of the project
 if [ -d $PROJ ]; then
 	(cd $PROJ && osc up)
diff --git a/scripts/osmocom-nightly-packages.sh b/scripts/osmocom-nightly-packages.sh
index 8c7a732..b4e2335 100755
--- a/scripts/osmocom-nightly-packages.sh
+++ b/scripts/osmocom-nightly-packages.sh
@@ -6,6 +6,11 @@
   exit 1
 fi
 
+if ! which osc >/dev/null 2>/dev/null ; then
+  echo "osc binary is not installed"
+  exit 1
+fi
+
 set -x -e
 
 git clone git://git.osmocom.org/osmo-sip-connector

-- 
To view, visit https://gerrit.osmocom.org/5179
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I10ce91eab415c19bb811fbb2fd617d5ce2b58d41
Gerrit-PatchSet: 1
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: lynxis lazus <lynxis at fe80.eu>



More information about the gerrit-log mailing list